c
c             Исключение решений
c
      Program Iskl
      implicit integer*4 (i-n)
      IMPLICIT REAL*8 (A-H,O-Z)
      DIMENSION U(10)
      NSOLV=20

      U(1)=3.
      U(2)=3.
      U(3)=16.
      U(4)=3.
      U(5)=7.
      U(6)=8.
      U(7)=3.
      U(8)=7.
      U(9)=11.
      U(10)=9.
      U(11)=10.
      U(12)=7.
      U(13)=16.
      U(14)=3.
      U(15)=7.
      U(16)=8.
      U(17)=10.
      U(18)=7.
      U(19)=5.
      U(20)=8.

      if(NSOLV.gt.1) then
      J=0
10    J=J+1
      Y1=U(J)
      K=J        
20    K=K+1
      if(Y1.eq.U(K)) then      
       if(K.lt.NSOLV) then
        DO L=K,NSOLV-1
         U(L)=U(L+1)
        END DO 
       end if
       NSOLV=NSOLV-1
       K=K-1
      end if
      if(K.lt.NSOLV) goto 20
      if(J.lt.NSOLV) goto 10
      end if

      open(unit=32,file='vydacha.dat')
       write(32,*) NSOLV
       write(32,*) 'U=',(U(i),i=1,NSOLV)
      close(32) 
c
      stop
      end
c